<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Creating elements</title>
  <meta name="GENERATOR" content="amaya 6.1, see http://www.w3.org/Amaya/" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <style type="text/css">
  </style>
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="en" lang="en">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../images/w3c_home" /> <img
        border="0" alt="Amaya" src="../../images/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="inline.html.es"><img alt="previous"
        border="0" src="../../images/left.gif" /></a> <a
        href="../HTML.html.es"><img alt="top" border="0"
        src="../../images/up.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Character">
<h1>Character style elements in HTML</h1>

<h2>What <strong>NOT</strong> to do and how it <strong>should</strong> be
done...</h2>

<p>HTML 4.0 (Strict) includes some elements which provide character styles.
These elements should be replaced by the use of structural elements or style
sheets wherever possible.</p>

<p>All the elements in question except <code>PRE</code> are found in the
<strong>Character Element</strong> submenu of the <strong>Style</strong>
menu:</p>
<dl>
  <dt><code>B</code> and <code>I</code></dt>
    <dd>These should be replaced by use of the <code></code><a
      href="inline.html.es#Emphasis">STRONG and EM elements</a> where they are
      used to provide emphasis for a word or phrase. There are <a
      href="infoTypes.html.es">special elements</a> to denote headings, terms
      that are being defined, and certain special uses, such as a quotation,
      piece of computer code, etc. If the elements are simply being used to
      provide heavier font <a href="../StyleSheets.html.es">style sheets</a>
      should be used instead</dd>
  <dt><code>BIG</code>and <code>SMALL</code></dt>
    <dd>In general these effects should be achieved with <a
      href="../StyleSheets.html.es">style sheets</a>. Where they are used to
      denote specific types of information such as the source of a quotation,
      sample computer input or output, etc, there are <a
      href="inline.html.es">appropriate HTML elements</a> that should be
    used.</dd>
  <dt><code>SUB</code> and <code>SUP</code></dt>
    <dd><a href="../StyleSheets.html.es">Style sheets</a> should be used to
      achieve the presentation effects of these elements. In cases such as
      mathematical expressions, an appropriate markup language such as <a
      href="../Math.html.es">MathML</a> should be used where possible.</dd>
  <dt><code>TT</code> and <code>PRE</code></dt>
    <dd>Authors should use <a href="../StyleSheets.html.es">style sheets</a> to
      achieve these effects.</dd>
</dl>
</div>
</body>
</html>
