<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta name="GENERATOR" content="amaya 5.1" />
  <title>Assembling Large Document Collections</title>
  <style type="text/css">
  </style>
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="en" lang="en">

<table border="0" summary="toc">
  <tbody>
    <tr>
      <td><img alt="W3C" src="../../images/w3c_home" /> <img alt="Amaya"
        src="../../images/amaya.gif" /></td>
      <td><p><a href="../MakeBook.html.es" accesskey="t"><img alt="top"
        src="../../images/up.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="page_body">
<h1>Assembling Large Document Collections</h1>

<p>Amaya enables you to handle document collections. Such a collection may,
for example, represent a set of technical documentation made up of several
web pages. One of the web pages contains the title of the entire
documentation set (an <code>&lt;h1&gt;</code> element), an introduction (some
other elements), and a list <code>&lt;ol&gt;</code> or
<code>&lt;ul&gt;</code> whose items <code>&lt;li&gt;</code> contain links to
each chapter. Chapters are separate documents that can have a similar
structure.</p>

<p>This organization is useful for browsing, but has several drawbacks when
the entire documentation set must be printed. Amaya addresses this problem
with the Make book function (<strong>Special &gt; Make book</strong>).</p>

<p>You use typed links for linking chapters, by associating a
<code>rel="chapter"</code> or <code>rel="subdocument"</code> attribute with
the anchor that refers to a chapter (to do this, select the <code>A</code>
element and use the <strong>Attributes</strong> menu).</p>

<p>Each referred chapter or sub-document can be:</p>
<ul>
  <li>an external document</li>
  <li>a subset of a larger external document</li>
</ul>

<p>To refer to a document subset, you usually define a <code>div</code>
element to identify the part of the target document you want to include, and
to link to this target element.</p>

<p>Then, when you activate the Make book function, all blocks
(<code>&lt;li&gt;</code> elements in the above example) containing a typed
link to a chapter will be replaced by the corresponding actual web pages (or
web page subsets), and Amaya will display a unique document containing the
whole collection:</p>
<ul>
  <li>If the link refers to a web page, Amaya includes all the
    <code>body</code> content of the target document.</li>
  <li>If the link refers to a target element, Amaya includes this element
    with its content.</li>
  <li>If the link refers to a target anchor, Amaya includes the content of
    the anchor, but not the anchor itself.</li>
</ul>

<p>Before each replacement, the Make book function generates a new
<code>div</code> element with an <code>id</code> attribute to clearly
separate each added piece.</p>

<p>Pieces of the new generated document can contain normal links, target
anchors, and target elements. During the Make book operation, Amaya ensures
that each <code>name</code>and <code>id</code> attribute value remains unique
in the new document. As needed, Amaya changes these values and updates any
relative links.</p>

<p>At the same time, Amaya automatically updates external links from
referring to an external document or document subset, to referring to the
text that is now included. For example, if the link originally pointed to an
external document, the link will now refer to the <code>div</code>-enclosed
element after the Make book operation. This ensures that the new unique
document containing the whole collection remains coherent.</p>

<p>This large document can then be numbered and printed with a complete table
of contents and a list of all links.</p>
</div>

</body>
</html>
